This document simply contains a list of all current RealSimGear downloads for those that just want the files.  As such, there is little context behind each file.  If you need additional instructions, please visit the other, more details setup guides found below.

RealSimGear USB Driver for Mac and Linux
The newest versions of RealSimGear units require a USB driver update.  Windows machines will have the driver installed when running either of the RealSimGear Installers below. For Mac or Linux, use the following links.

X-Plane Related Files

  • X-Plane 11 - Linux - We no longer actively support the Linux version of X-Plane. This is a legacy version which will only work with older hardware firmware revisions as noted. Version 1.3.7 - ZIP gets opened and RealSimGear folder copied to ..\X-Plane 11\Resources\plugins (NOTE this only works with firmware 2.6.x on the devices)

FSX or P3D Related Files

  • FSX/P3D/MSFS Add-on Installer (Windows) - Version 1.5.1.7 - This also installs the necessary bits for Mindstar use.
  • Default CommandMapping.ini for FSX/P3D - Version 2.5 - This is used for the RealSimGear Add-on version 1.5 or newer on FSX/P3D.
  • Default CommandMapping.ini for MSFS - Version 2.6.1 - This is used for the RealSimGear Add-on version 1.5.1.6 or newer on MSFS and is placed in the "..\Community\RealSimGear\Data" folder.
  • CommandMapping.ini for the TBM930 in MSFS - Version 2.6.1 - This is used for the RealSimGear Add-on version 1.5.1.6 or newer on MFSF and is placed in the "..\Community\RealSimGear\SimObjects\Airplanes\Asobo_TBM930" folder.
  • Legacy CommandMapping.ini for FSX/P3D - Version 1.9.1 - This is used for the RealSimGear Add-on 1.0.0.x. When downloaded, this MUST be renamed to simply "CommandMapping.ini" and placed in the relevant RealSimGear Add-on folder.
  • CommandMapping.ini - Version 2.3 - This is used with the Mindstar G1000 software.
  • G1000.ini File for Mindstar G1000
  • Panel.cfg File for Mindstar G1000 and Carenado SR22

X-Plane Aircraft Config Files

  • Default CommandMapping.ini - Version 5.4 - This is used for the RealSimGear Plugin version 1.5 or newer - This file goes in the ..\X-Plane 11\Resources\plugins\RealSimGear folder
  • TorqueSim SR22 Collection - Version 3.2 - This is used with the new TorqueSim SR22 (both variants) and the RealSimGear Plugin version 1.5 or newer. This file goes in the "..\X-Plane 11\Aircraft\X-Aviation\SR22 Collection\SR22 (or SR22T)" folders.
  • Hotstart TBM900 - Version 4.5 - This is used for the RealSimGear Plugin version 1.5 or newer - This file goes in the "..\X-Plane 11\Aircraft\X-Aviation\TBM900" folder.
  • RW Designs Citation Mustang - Version 1.6 - This file goes in the base of the Mustang folder.

Legacy X-Plane Aircraft Files for Plugins older than 1.5 (no longer maintained)

  • Legacy default CommandMapping.ini - Version 3.7 - This is used for the RealSimGear Plugin version 1.3.7.0 or older - (For any default Laminar aircraft and whats in the above installer/plugin) - This file goes in the ..\X-Plane 11\Resources\plugins\RealSimGear folder
  • Legacy default CommandMapping.ini - Version 3.5r - This is used for the RealSimGear Plugin version 1.3.7.0 or older - (For default X-Plane but with reversed COM/NAV1 and COM/NAV2 (ie 430/650 as COM/NAV1 and 530/750 as COM/NAV2).
  • Legacy Hotstart TBM900 - Version 3.6 - This is used for the RealSimGear Plugin version 1.3.7.0 or older - After downloading, rename the file to simply "CommandMapping.ini" and place it in the X-Plane 11\Aircraft\X-Aviation\TBM900 folder.
  • Aerobask DA62 - Version 1.2

Firmware

We have now introduced the RealSimGear Firmware Utility, you can read about it and download it from HERE. It is now the recommended method for updating firmware.

The files below are for manual updating if necessary.

  • XLoader - Used to load the firmware below on Windows machines
  • HEXLoader - Used to load the firmware below on Mac machines

Version 3.1.x - Requires X-Plane and FSX/P3D Plugin/Add-on version 1.5 or greater

Version 2.6.x - For X-Plane Plugin older than 1.4.0.x or FSX/P3D Add-on older than 1.1.0.x.

Driver for USB3 Display Adapter

Did this answer your question?